创建 windowsUpdateForBusinessConfiguration

命名空间:microsoft.graph

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 windowsUpdateForBusinessConfiguration 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

POST /deviceManagement/deviceConfigurations

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 windowsUpdateForBusinessConfiguration 对象的 JSON 表示形式。

下表显示创建 windowsUpdateForBusinessConfiguration 时所需的属性。

属性 类型 说明
id String 实体的键。 继承自 deviceConfiguration
lastModifiedDateTime DateTimeOffset 上次修改对象的日期/时间。 继承自 deviceConfiguration
createdDateTime DateTimeOffset 创建对象的日期/时间。 继承自 deviceConfiguration
说明 String 管理员提供的设备配置的说明。 继承自 deviceConfiguration
displayName String 管理员提供的设备配置的名称。 继承自 deviceConfiguration
version Int32 设备配置的版本。 继承自 deviceConfiguration
deliveryOptimizationMode windowsDeliveryOptimizationMode 传递优化模式。 可取值为:userDefinedhttpOnlyhttpWithPeeringNathttpWithPeeringPrivateGrouphttpWithInternetPeeringsimpleDownloadbypassMode
prereleaseFeatures prereleaseFeatures 预发布功能。 可取值为:userDefinedsettingsOnlysettingsAndExperimentationsnotAllowed
automaticUpdateMode automaticUpdateMode 自动更新模式。 可取值为:userDefinednotifyDownloadautoInstallAtMaintenanceTimeautoInstallAndRebootAtMaintenanceTimeautoInstallAndRebootAtScheduledTimeautoInstallAndRebootWithoutEndUserControl
microsoftUpdateServiceAllowed Boolean 允许 Microsoft 更新服务
driversExcluded Boolean 排除 Windows 更新驱动程序
installationSchedule windowsUpdateInstallScheduleType 安装计划
qualityUpdatesDeferralPeriodInDays Int32 推迟质量更新的天数
featureUpdatesDeferralPeriodInDays Int32 推迟功能更新的天数
qualityUpdatesPaused Boolean 暂停质量更新
featureUpdatesPaused Boolean 暂停功能更新
qualityUpdatesPauseExpiryDateTime DateTimeOffset 质量更新暂停到期日期/时间
featureUpdatesPauseExpiryDateTime DateTimeOffset 功能更新暂停到期日期/时间
businessReadyUpdatesOnly windowsUpdateType 确定哪些分支设备将接收其更新。 可取值为:userDefinedallbusinessReadyOnlywindowsInsiderBuildFastwindowsInsiderBuildSlowwindowsInsiderBuildRelease

响应

如果成功,此方法在响应正文中返回 201 Created 响应代码和 windowsUpdateForBusinessConfiguration 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/v1.0/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 910

{
  "@odata.type": "#microsoft.graph.windowsUpdateForBusinessConfiguration",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "deliveryOptimizationMode": "httpOnly",
  "prereleaseFeatures": "settingsOnly",
  "automaticUpdateMode": "notifyDownload",
  "microsoftUpdateServiceAllowed": true,
  "driversExcluded": true,
  "installationSchedule": {
    "@odata.type": "microsoft.graph.windowsUpdateScheduledInstall",
    "scheduledInstallDay": "everyday",
    "scheduledInstallTime": "11:59:31.3170000"
  },
  "qualityUpdatesDeferralPeriodInDays": 2,
  "featureUpdatesDeferralPeriodInDays": 2,
  "qualityUpdatesPaused": true,
  "featureUpdatesPaused": true,
  "qualityUpdatesPauseExpiryDateTime": "2017-01-01T00:00:22.9594683-08:00",
  "featureUpdatesPauseExpiryDateTime": "2016-12-31T23:58:08.068669-08:00",
  "businessReadyUpdatesOnly": "all"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1082

{
  "@odata.type": "#microsoft.graph.windowsUpdateForBusinessConfiguration",
  "id": "4928dd6a-dd6a-4928-6add-28496add2849",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "deliveryOptimizationMode": "httpOnly",
  "prereleaseFeatures": "settingsOnly",
  "automaticUpdateMode": "notifyDownload",
  "microsoftUpdateServiceAllowed": true,
  "driversExcluded": true,
  "installationSchedule": {
    "@odata.type": "microsoft.graph.windowsUpdateScheduledInstall",
    "scheduledInstallDay": "everyday",
    "scheduledInstallTime": "11:59:31.3170000"
  },
  "qualityUpdatesDeferralPeriodInDays": 2,
  "featureUpdatesDeferralPeriodInDays": 2,
  "qualityUpdatesPaused": true,
  "featureUpdatesPaused": true,
  "qualityUpdatesPauseExpiryDateTime": "2017-01-01T00:00:22.9594683-08:00",
  "featureUpdatesPauseExpiryDateTime": "2016-12-31T23:58:08.068669-08:00",
  "businessReadyUpdatesOnly": "all"
}